#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{

    int n,q,i,x,y,j,z;
    cin>>n;
    vector<int> a;
    cin>>x;
    for(i=1;i<n;i++){
        cin>>y;
        if(x>y){
            a.push_back(i);
            a.push_back(i+1);
        }
        x=y;
    }
    cin>>q;
    for(i=0;i<q;i++){
        cin>>x>>y;
        z=0;
        for(j=0;j<a.size();j++){
            if(a[j]>=x){
                if(a[j]<=y){
                    z++;
                }
                else{
                    break;
                }
            }
            if(z>4){
                break;
            }
        }
        if(z>4){
            cout<<"NE\n";
        }
        else if(z==4){
            if(j<a.size()){
                if(a[j]==x){
                    cout<<"DA\n";
                }
                else{
                    cout<<"NE\n";
                }
            }
            else{
                if(a[j-1]==x){
                    cout<<"DA\n";
                }
                else{
                    cout<<"NE\n";
                }
            }
        }
        else{
            cout<<"DA\n";
        }
    }
}